<%--
This page runs the report found in postgresql.xml.

Be sure to edit DATABASE_PASSWORD and REPORT_FILE below.

To use with Tomcat 3.3:
    * Create the directory $TOMCAT_HOME/webapps/datavision
    * Under that directory, create the directories WEB-INF then WEB-INF/lib
    * Copy this file to $TOMCAT_HOME/webapps/datavision/index.jsp
    * Copy lib/*.jar to $TOMCAT_HOME/webapps/WEB-INF/lib
    * Copy your JDBC jar file to $TOMCAT_HOME/webapps/WEB-INF/lib
    * Start Tomcat
    * Visit http://localhost:8080/datavision/

You may need to use a port number other than 8080; check you Tomcat
installation. Also, the installation instructions may be slightly
different for different versions of Tomcat (specifically 4.X).
 --%>
<%@ page import="jimm.datavision.*" %>
<%@ page import="jimm.datavision.layout.HTMLLE" %>
<%@ page import="org.xml.sax.InputSource" %>
<%@ page import="java.io.*" %>
<%!
static final String DATABASE_PASSWORD = "";
static final String REPORT_FILE =
    "/Users/jimm/src/datavision/examples/postgresql.xml";
static final String WHERE_CLAUSE = // May be null
    "{jobs.ID} < 100";
%>
<%
Report report = new Report();
report.setDatabasePassword(DATABASE_PASSWORD);
report.read(REPORT_FILE);

File tmp = File.createTempFile("datavision", null);
tmp.deleteOnExit();

HTMLLE le = new HTMLLE(new PrintWriter(new FileWriter(tmp)));
report.setLayoutEngine(le);

// Let's limit the records that we select, Ok?
if (WHERE_CLAUSE != null)
    report.getDataSource().getQuery().setWhereClause(WHERE_CLAUSE);

report.runReport();

// Copy data from generated HTML file to this page's output.
BufferedReader in = new BufferedReader(new FileReader(tmp));
String line;
while ((line = in.readLine()) != null) {
    out.println(line);
}
%>
